
QGIS Application - Bug report #3132

Field calculator cannot calculates area of polygon

2010-10-17 04:23 PM - dr -

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 13192

Description

I have vector layer, which contains one polygon. When I try to calculate their area with field calculator I get NULL result, but ftools

Export/Add geometry columns tool works fine. My layer in attachment.

Related issues:

Related to QGIS Application - Bug report # 4622: Labelling expression: toint(... Closed 2011-12-09

Associated revisions

Revision afc78ee2 - 2010-10-18 02:40 AM - Jürgen Fischer

fix #3132

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@14395 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 650abbb9 - 2010-10-18 02:40 AM - Jürgen Fischer

fix #3132

git-svn-id: http://svn.osgeo.org/qgis/trunk@14395 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-10-17 05:40 PM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to fixed

fixed in commit:650abbb9 (SVN r14396).

#2 - 2010-10-19 06:25 AM - dr -

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

Now area of this polygon is negative value.

#3 - 2010-10-19 07:32 AM - Jürgen Fischer
um, I get 2849751229.32861 - just like in the identify results. And the earlier problem wasn't that the area wasn't calculated, but only that the attribute table

didn't show the updated result.

#4 - 2010-10-19 08:02 AM - Maxim Dubinin

commit:0c31b555 (SVN r14411), tried new and existing AREA field - all seems normal (result is correct)

#5 - 2010-10-19 08:48 AM - Maxim Dubinin

I'm afraid I have to take it back, I do have negatives too, please check this video:

http://screencast.com/t/58exsAG3vz

#6 - 2010-10-19 10:11 AM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to fixed

That's what you get when you try to save 2849751229.32861 in a 32bit integer.  Use a real field.

#7 - 2010-10-19 10:26 AM - dr -

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

I've tried use real field but get the same negative result.

#8 - 2011-03-02 08:04 AM - Paolo Cavallini

Is this still true?

#9 - 2011-03-02 08:59 AM - Alexander Bruy

- Status changed from Feedback to Closed

- Resolution set to fixed

Seems fixed for now (tested with )

#10 - 2011-03-02 09:21 AM - dr -

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

Bug still present at commit:95af577b (SVN r15307).

#11 - 2011-03-14 01:37 AM - Borys Jurgiel
I can confirm. Creating integer as well as floating point fails. Right after calculating you can see proper values (as they're not updated from layer), but after

layer save they becomes negative.

However, updating the existing AREA field works fine.

#12 - 2011-03-14 01:37 AM - Borys Jurgiel

(tested on Ubuntu)

#13 - 2011-04-11 12:42 PM - Enrico Fiore

Replying to [comment:11 borysiasty]:

I can confirm. Creating integer as well as floating point fails.

For floating values the problem happen if you assign precision = 0, otherwise area is correct.

#14 - 2011-12-16 01:54 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#15 - 2011-12-26 06:09 AM - Giovanni Manghi

- Affected QGIS version set to master

- Status changed from Feedback to Closed

- Resolution set to worksforme

- Pull Request or Patch supplied set to No

- Crashes QGIS or corrupts data set to No

Seems to work fine now. Reopen if necessary.

Files

err.zip 44.6 KB 2010-10-17 dr -
